# Information about the bulk regularisation
young: 10  # mandatory (Young modulus)
poisson: 0.25  # mandatory (Poisson ratio)
xi: 30  # optional
periods: 3  # optional (whatever...)
voxel: 0.01  # optional (voxel size for unit conversion of the young modulus)
# Information about the surface regularisation
# (Dirichlet boundary conditions)
# Each surface of the cuboid is labelled by the keywords
# z_start: z == 0, z_end, y_start, y_end, x_start and x_end)
# If a keyword is ommited the surface is not regularised.
dirichlet:
    z_start:
        xi: 30  # optional
        dof: [0, 1, 2]  # mandatory
    z_end:
        xi: 30  # xi normalisation is 30
        dof: [0]
    z_lateral:
        xi: 30  # xi normalisation is 30
        dof: [1, 2]
